@import url('https://fonts.googleapis.com/css?family=Oswal');

*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    font-family: 'Oswal' , sans-serif
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background:#434750;
}
ul{
    position: relative;
    transform: skey(-15deg);
    
}
/* styling entire box */
ul li::before{
    content:'';
    position: absolute;
    top:0;
    left:-30px;
    width: 30px;
    height: 100%;
    background: #2e132e;
    transform-origin: right;
    transform:skewY(45deg);
    transition:0.5s; 
}
ul li:hover::before{
    background: #2982b9;
}
ul li::after{
    content:'';
    position:absolute;
    top:-30px;
    left:0;
    width:100%;
    height:30px;
    background: #353535;;
    transform-origin:bottom;
    transform:skew(45deg);
    transition:0.5s;
}
ul li:hover::after{
    background: #2982b9;
}
ul li{
    position: relative;
    list-style: none;
    width: 200px;
    background: #3e3f46;
    padding:15px;
    /* to add some hieratchi to each box */
    z-index:var(--i);
    transition:0.5s;
}
ul li:hover{
    background:#33a3ee;
    transform: translateX(-50px);

}
ul li a{
    text-decoration: none;
    color:#999;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    transition:0.5s;
}
ul li:hover a{
    color:#fff;
}
/* how to add a shadow to all boxes */
ul li:last-child::after{
    box-shadow: -100px 100px 20px rgba(0,0,0,0.35);
}